/* Endpoint Block Button
 *
 * Provides a button that can block/unblock I/O on an endpoint.
 */

#include "gtkmm.h"

#include <conexusmm/endpointstopbutton.h>

class Example_EndpointStopButton : public Gtk::Window
{
  public:
    Example_EndpointStopButton();
    virtual ~Example_EndpointStopButton();

  protected:
    /* Member widgets */
    ConexusGtk::EndpointStopButton m_EndpointStopButton;
};

/* Called by DemoWindow */
Gtk::Window* do_EndpointStopButton()
{
  return new Example_EndpointStopButton();
}

Example_EndpointStopButton::Example_EndpointStopButton()
{

  set_title("Endpoint Stop/Start Button");
  set_border_width(10);

  this->add( m_EndpointStopButton );

  show_all();
}

Example_EndpointStopButton::~Example_EndpointStopButton()
{
}

