/* TTY Widget
 *
 * Allows the user to set the characteristics of a TTY (serial) port. Unlike the working I/O
 * demonstration, this example will not instantiate a Conexus serial endpoint. It will
 * only demonstrate the ConexusGtk widget layout.
 */

#include "gtkmm.h"

#include <conexusmm/ttywidget.h>

class Example_TTYWidget : public Gtk::Window
{
  public:
    Example_TTYWidget();
    virtual ~Example_TTYWidget();

  protected:
    /* Member widgets */
    ConexusGtk::TTYWidget m_TTYWidget;
};

/* Called by DemoWindow */
Gtk::Window* do_TTYWidget()
{
  return new Example_TTYWidget();
}

Example_TTYWidget::Example_TTYWidget()
{

  set_title("TTY Widget");
  set_border_width(10);

  this->add( m_TTYWidget );

  show_all();
}

Example_TTYWidget::~Example_TTYWidget()
{
}

